
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.test.utils package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.utils package" href="nl2declare.utils.html" />
    <link rel="prev" title="nl2declare.test.lingproc package" href="nl2declare.test.lingproc.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-test-utils-package">
<h1>nl2declare.test.utils package<a class="headerlink" href="#nl2declare-test-utils-package" title="Permalink to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.test.utils.test_io">
<span id="nl2declare-test-utils-test-io-module"></span><h2>nl2declare.test.utils.test_io module<a class="headerlink" href="#module-nl2declare.test.utils.test_io" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_io.test_load_cases_with_missing_file">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_io.</span></span><span class="sig-name descname"><span class="pre">test_load_cases_with_missing_file</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_io.html#test_load_cases_with_missing_file"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_io.test_load_cases_with_missing_file" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_io.test_load_cases_with_missing_header">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_io.</span></span><span class="sig-name descname"><span class="pre">test_load_cases_with_missing_header</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_io.html#test_load_cases_with_missing_header"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_io.test_load_cases_with_missing_header" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.test.utils.test_wordclasses">
<span id="nl2declare-test-utils-test-wordclasses-module"></span><h2>nl2declare.test.utils.test_wordclasses module<a class="headerlink" href="#module-nl2declare.test.utils.test_wordclasses" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_wordclasses.test_wordclasses_is_end_verb">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_wordclasses.</span></span><span class="sig-name descname"><span class="pre">test_wordclasses_is_end_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_wordclasses.html#test_wordclasses_is_end_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_end_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_wordclasses.test_wordclasses_is_flow_verb">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_wordclasses.</span></span><span class="sig-name descname"><span class="pre">test_wordclasses_is_flow_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_wordclasses.html#test_wordclasses_is_flow_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_flow_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_wordclasses.test_wordclasses_is_modal">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_wordclasses.</span></span><span class="sig-name descname"><span class="pre">test_wordclasses_is_modal</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_wordclasses.html#test_wordclasses_is_modal"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_modal" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_wordclasses.test_wordclasses_is_optional">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_wordclasses.</span></span><span class="sig-name descname"><span class="pre">test_wordclasses_is_optional</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_wordclasses.html#test_wordclasses_is_optional"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_optional" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_wordclasses.test_wordclasses_is_process_object">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_wordclasses.</span></span><span class="sig-name descname"><span class="pre">test_wordclasses_is_process_object</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_wordclasses.html#test_wordclasses_is_process_object"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_process_object" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.utils.test_wordclasses.test_wordclasses_is_start_verb">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.utils.test_wordclasses.</span></span><span class="sig-name descname"><span class="pre">test_wordclasses_is_start_verb</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/utils/test_wordclasses.html#test_wordclasses_is_start_verb"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.utils.test_wordclasses.test_wordclasses_is_start_verb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.test.utils">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.test.utils" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
  <li><a href="nl2declare.test.html">nl2declare.test package</a><ul>
      <li>Previous: <a href="nl2declare.test.lingproc.html" title="previous chapter">nl2declare.test.lingproc package</a></li>
      <li>Next: <a href="nl2declare.utils.html" title="next chapter">nl2declare.utils package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.test.utils.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>